SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000008SiT!dashboardpublic2008-07-11 15:322009-08-16 14:38
Reporteradministrator 
Assigned Toivan 
PriorityhighSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformInternet ExplorerOSWindowsOS Version
Product Version3.35 
Target Version3.50Fixed in Version3.50 
Summary0000008: Dashlet reordering broken in IE
DescriptionDashlet reordering broken in IE Private: (?)
No
Attempting to reorder dashlets in IE 6 triggers a popup error:

"A Runtime Error has occurred. Do you wish to Debug?

Line: 3546
Error: Invalid argument"

Similar behaviour occurs in IE 7 but I believe there is no popup then (this
may be due to individual browser settings)
Additional InformationDate: 2008-07-04 14:30
Sender: ivanlucasProject Admin
Logged In: YES
user_id=1456679
Originator: NO

I've put a check for IE into the drag/drop code, dragging/dropping the
dashlets now simply does not work in IE rather than producing an error, a
mild improvement perhaps.

I've also changed the add dashlet code so that dashlets are added to empty
columns rather than always the left column, this does improve things for IE
users a little bit.

Expect a better solution in a release after 3.35.
                            

Date: 2008-05-30 16:01
Sender: ivanlucasProject Admin
Logged In: YES
user_id=1456679
Originator: NO

According to the rather awful Microsoft Script Debugger the error is in
dojo.js at the fifth line shown below:

if(this.methodfunc){
_33b=this.object[this.methodname].apply(this.object,args);
}
}
}
catch(e){
if(!this.squelch){
dojo.debug(e,"when calling",this.methodname,"on",this.object,"with
arguments",args);


Yes thats right a closing bracket.. I'm really not sure whats causing this
and don't have time to sort it before the 3.35 release unfortunately. For
the release after 3.35 I'll try and replace the dojo drag and drop with
something better.

The work-around for now is to use a better browser like Firefox or Opera.
                            

Date: 2008-05-15 12:32
Sender: ivanlucasProject Admin
Logged In: YES
user_id=1456679
Originator: NO

Thanks for the bug report. I've just tried it and I can confirm this bug
with IE6 and the current svn version. The line number I get is 3547, I
guess it moved slightly in the svn version.

I'll have a look into this and try to fix it before we release 3.35
                            
TagsNo tags attached.
Attached Files

- Relationships
related to 0000486closedivan Dashboard uses dojo 

-  Notes
User avatar (0000128)
kieran (administrator)
2008-10-22 23:44

Any chance of this getting in for 3.40? If not can we target for 3.45 (maybe even 3.41 as it's a bug fix?)
User avatar (0000773)
ivan (administrator)
2009-03-11 16:58

Fixed in trunk svn r5244. Tested in IE7.
User avatar (0001617)
ivan (administrator)
2009-08-16 14:38

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2008-07-11 15:32 administrator New Issue
2008-07-11 15:32 administrator Status new => assigned
2008-07-11 15:32 administrator Assigned To => ivan
2008-10-22 23:44 kieran Note Added: 0000128
2009-03-11 16:57 ivan Relationship added related to 0000486
2009-03-11 16:58 ivan Note Added: 0000773
2009-03-11 16:58 ivan Status assigned => resolved
2009-03-11 16:58 ivan Resolution open => fixed
2009-03-11 16:58 ivan Fixed in Version => Current SVN
2009-03-11 16:58 ivan Target Version => 3.50
2009-08-16 13:17 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:38 ivan Note Added: 0001617
2009-08-16 14:38 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker